Bug 1760393 - Add metric cpuinfo to node_exporter to gather cpu topology/hyperthreading information in telemetry
Summary: Add metric cpuinfo to node_exporter to gather cpu topology/hyperthreading inf...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.3.0
Assignee: Paul Gier
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks: 1773665
TreeView+ depends on / blocked
 
Reported: 2019-10-10 12:41 UTC by Paul Gier
Modified: 2020-03-24 13:24 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1773665 (view as bug list)
Environment:
Last Closed: 2020-01-23 11:07:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 498 0 'None' closed Bug 1760393: enable node_exporter cpu_info metric 2020-01-23 16:21:23 UTC
Github openshift cluster-monitoring-operator pull 521 0 'None' closed Bug 1760393: Add metrics for collecting socket and hyperthreading enablement. 2020-01-23 16:21:23 UTC
Github openshift cluster-monitoring-operator pull 531 0 'None' closed Bug 1760393: Bump telemeter-client 2020-01-23 16:21:23 UTC
Github openshift telemeter pull 255 0 'None' closed Bug 1760393:Add node_role_os_version_machine:cpu_capacity_sockets:sum metric to telemeter whitelist. 2020-01-23 16:21:24 UTC
Red Hat Product Errata RHBA-2020:0062 0 None None None 2020-01-23 11:07:40 UTC

Description Paul Gier 2019-10-10 12:41:28 UTC
Determining if a node has hyperthreading enabled is not possible with the currently available node_exporter metrics.  We need a new metric added to node_exporter to expose the required information.

Comment 1 Paul Gier 2019-10-10 12:44:38 UTC
The new metric has been added to upstream node_exporter in https://github.com/prometheus/node_exporter/pull/1489
And patched to openshift node_exporter in https://github.com/openshift/node_exporter/pull/33

Comment 2 Paul Gier 2019-10-10 13:36:51 UTC
PR to update CLI flag to node_exporter: https://github.com/openshift/cluster-monitoring-operator/pull/498

Comment 15 Viacheslav 2019-11-01 17:17:05 UTC
Fixed.

4.3.0-0.nightly-2019-11-01-032109

Comment 18 errata-xmlrpc 2020-01-23 11:07:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.